//***********************************************************************
//*Beschreibung		: Binomialkoeffizient			 					*
//*Autor			: Thomas Tardy										*
//*Datum			: 09.01.03											*
//*Fach				: Mathematik										*
//***********************************************************************


public class Binomial
{

  	static public void main( String[] args )
  	{
		double b, alpha;
		int k;

		InOut.println("***Dieses Programm berechnet den Binomialkowffizienten alpha tief k***\n\n");
		InOut.print("Geben Sie eine Reelle Zahl   alpha   ein: ");
		alpha=InOut.getDouble();
		InOut.print("\n\nGeben Sie eine natuerliche Zahl   k   ein: ");
		k=InOut.getInt();
		b=bkoeff(alpha,k);
		InOut.println("\n\n\nDer Binomialkoeffizient ist : " + b);
  	}

  	static public double bkoeff(double a, int k)
  	{
		if (k==0)
			return 1;
		else
		{
			if (a==0)
				return 0;
			else
				return (a/k)*bkoeff(a-1,k-1);
		}
	}
}